## TrackerTaskPool TrackerTaskPool |

## Functions

TrackerTaskPool * | tracker_task_pool_new ()
void | tracker_task_pool_set_limit ()
guint | tracker_task_pool_get_limit ()
guint | tracker_task_pool_get_size ()
gboolean | tracker_task_pool_limit_reached ()
void | tracker_task_pool_add ()
gboolean | tracker_task_pool_remove ()
void | tracker_task_pool_foreach ()
TrackerTask * | tracker_task_pool_find ()
TrackerTask * | tracker_task_new ()
GFile * | tracker_task_get_file ()
TrackerTask * | tracker_task_ref ()
void | tracker_task_unref ()
gpointer | tracker_task_get_data ()

## Types and Values

| TrackerTask

## Description

## Functions

### tracker_task_pool_new ()

    TrackerTaskPool *
    tracker_task_pool_new (guint limit);

### tracker_task_pool_set_limit ()

    void
    tracker_task_pool_set_limit (TrackerTaskPool *pool,
                                 guint limit);

### tracker_task_pool_get_limit ()

    guint
    tracker_task_pool_get_limit (TrackerTaskPool *pool);

### tracker_task_pool_get_size ()

    guint
    tracker_task_pool_get_size (TrackerTaskPool *pool);

### tracker_task_pool_limit_reached ()

    gboolean
    tracker_task_pool_limit_reached (TrackerTaskPool *pool);

### tracker_task_pool_add ()

    void
    tracker_task_pool_add (TrackerTaskPool *pool,
                           TrackerTask *task);

### tracker_task_pool_remove ()

    gboolean
    tracker_task_pool_remove (TrackerTaskPool *pool,
                              TrackerTask *task);

### tracker_task_pool_foreach ()

    void
    tracker_task_pool_foreach (TrackerTaskPool *pool,
                               GFunc func,
                               gpointer user_data);

### tracker_task_pool_find ()

    TrackerTask *
    tracker_task_pool_find (TrackerTaskPool *pool,
                            GFile *file);

### tracker_task_new ()

    TrackerTask *
    tracker_task_new (GFile *file,
                      gpointer data,
                      GDestroyNotify destroy_notify);

### tracker_task_get_file ()

    GFile *
    tracker_task_get_file (TrackerTask *task);

### tracker_task_ref ()

    TrackerTask *
    tracker_task_ref (TrackerTask *task);

### tracker_task_unref ()

    void
    tracker_task_unref (TrackerTask *task);

### tracker_task_get_data ()

    gpointer
    tracker_task_get_data (TrackerTask *task);

## Types and Values

### TrackerTask

    typedef struct _TrackerTask TrackerTask;